Subject: [Int-area] Checksum handling in draft-ietf-intarea-gre-ipv6

From: Tom Herbert <[email-masked]>
Date: Wed, 4 Feb 2015 08:15:03 -0800

Please clarify receiver checksum handling in section 2.1.

>From the draft:

The Checksum Present field SHOULD be set to zero by senders if IPv6
   is used as a delivery protocol.  Receivers MUST also accept a value
   of one in this field and use it to calculate the GRE header length
   but they MUST NOT verify the contents of the Checksum field.

Why is it a MUST NOT for receivers to validate checksums? Doesn't this
violate RFC2784?

Thanks,
Tom